// $ANTLR 2.7.7 (20110914): "cpp.g" -> "CppTreeParser.java"$

// This file is part of the program FRYSK.
//
// Copyright 2005, 2007 Red Hat Inc.
//
// FRYSK is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//
// FRYSK is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with FRYSK; if not, write to the Free Software Foundation,
// Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
// 
// In addition, as a special exception, Red Hat, Inc. gives You the
// additional right to link the code of FRYSK with code not covered
// under the GNU General Public License ("Non-GPL Code") and to
// distribute linked combinations including the two, subject to the
// limitations in this paragraph. Non-GPL Code permitted under this
// exception must only link to the code of FRYSK through those well
// defined interfaces identified in the file named EXCEPTION found in
// the source code files (the "Approved Interfaces"). The files of
// Non-GPL Code may instantiate templates or use macros or inline
// functions from the Approved Interfaces without causing the
// resulting work to be covered by the GNU General Public
// License. Only Red Hat, Inc. may make changes or additions to the
// list of Approved Interfaces. You must obey the GNU General Public
// License in all respects for all of the FRYSK code and other code
// used in conjunction with FRYSK except the Non-GPL Code covered by
// this exception. If you modify this file, you may extend this
// exception to your version of the file, but you are not obligated to
// do so. If you do not wish to provide this exception without
// modification, you must delete this exception statement from your
// version and license this file solely under the GPL without
// exception.
    package frysk.expr;

    import java.util.ArrayList;
    import frysk.value.ArithmeticType;
    import frysk.value.Value;
    import frysk.debuginfo.DebugInfoFrame;
    import javax.naming.NameNotFoundException;
    import frysk.value.InvalidOperatorException;
    import frysk.value.OperationNotDefinedException;
    import inua.eio.ByteOrder;
    import lib.dwfl.BaseTypes;

import antlr.TreeParser;
import antlr.Token;
import antlr.collections.AST;
import antlr.RecognitionException;
import antlr.ANTLRException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.collections.impl.BitSet;
import antlr.ASTPair;
import antlr.collections.impl.ASTArray;


public class CppTreeParser extends antlr.TreeParser       implements CppTreeParserTokenTypes
 {

    ArrayList      refList;
    ArithmeticType arithmeticType;
    ArithmeticType longType;
    ArithmeticType intType;
    ArithmeticType shortType;
    ArithmeticType doubleType;
    ArithmeticType floatType;
    private CppSymTab cppSymTabRef;
    private DebugInfoFrame frame;
    public CppTreeParser(int intSize, DebugInfoFrame frame, CppSymTab symTab) {
        this();
	    cppSymTabRef = symTab; 
        this.frame = frame;
        shortType = new ArithmeticType(intSize / 2, ByteOrder.LITTLE_ENDIAN, BaseTypes.baseTypeShort, "short");
        intType = new ArithmeticType(intSize, ByteOrder.LITTLE_ENDIAN, BaseTypes.baseTypeInteger, "int");
        longType = new ArithmeticType(intSize * 2, ByteOrder.LITTLE_ENDIAN, BaseTypes.baseTypeLong, "long");
        floatType = new ArithmeticType(intSize, ByteOrder.LITTLE_ENDIAN, BaseTypes.baseTypeFloat, "float");
        doubleType = new ArithmeticType(intSize * 2, ByteOrder.LITTLE_ENDIAN, BaseTypes.baseTypeDouble, "double");
    }
public CppTreeParser() {
	tokenNames = _tokenNames;
}

	public final void primitiveType(AST _t) throws RecognitionException {
		
		AST primitiveType_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		
		try {      // for error handling
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case LITERAL_boolean:
			{
				AST tmp82_AST_in = (AST)_t;
				match(_t,LITERAL_boolean);
				_t = _t.getNextSibling();
				break;
			}
			case LITERAL_char:
			{
				AST tmp83_AST_in = (AST)_t;
				match(_t,LITERAL_char);
				_t = _t.getNextSibling();
				break;
			}
			case LITERAL_byte:
			{
				AST tmp84_AST_in = (AST)_t;
				match(_t,LITERAL_byte);
				_t = _t.getNextSibling();
				break;
			}
			case LITERAL_short:
			{
				AST tmp85_AST_in = (AST)_t;
				match(_t,LITERAL_short);
				_t = _t.getNextSibling();
				break;
			}
			case LITERAL_int:
			{
				AST tmp86_AST_in = (AST)_t;
				match(_t,LITERAL_int);
				_t = _t.getNextSibling();
				break;
			}
			case LITERAL_long:
			{
				AST tmp87_AST_in = (AST)_t;
				match(_t,LITERAL_long);
				_t = _t.getNextSibling();
				break;
			}
			case LITERAL_float:
			{
				AST tmp88_AST_in = (AST)_t;
				match(_t,LITERAL_float);
				_t = _t.getNextSibling();
				break;
			}
			case LITERAL_double:
			{
				AST tmp89_AST_in = (AST)_t;
				match(_t,LITERAL_double);
				_t = _t.getNextSibling();
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				if (_t!=null) {_t = _t.getNextSibling();}
			} else {
			  throw ex;
			}
		}
		_retTree = _t;
	}
	
	public final String  identifier(AST _t) throws RecognitionException {
		String idSpelling=null;
		
		AST identifier_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		AST ident = null;
		
		try {      // for error handling
			ident = (AST)_t;
			match(_t,IDENT);
			_t = _t.getNextSibling();
			if ( inputState.guessing==0 ) {
				idSpelling=ident.getText();
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				if (_t!=null) {_t = _t.getNextSibling();}
			} else {
			  throw ex;
			}
		}
		_retTree = _t;
		return idSpelling;
	}
	
	public final ArrayList  references(AST _t) throws RecognitionException, InvalidOperatorException,OperationNotDefinedException,NameNotFoundException {
		ArrayList el = null;;
		
		AST references_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		refList = new ArrayList();
		
		try {      // for error handling
			{
			_loop210:
			do {
				if (_t==null) _t=ASTNULL;
				if ((_t.getType()==SUBSCRIPT||_t.getType()==IDENT)) {
					subscript_or_member(_t);
					_t = _retTree;
				}
				else {
					break _loop210;
				}
				
			} while (true);
			}
			if ( inputState.guessing==0 ) {
				el=refList;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				if (_t!=null) {_t = _t.getNextSibling();}
			} else {
			  throw ex;
			}
		}
		_retTree = _t;
		return el;
	}
	
	public final String  subscript_or_member(AST _t) throws RecognitionException, InvalidOperatorException,OperationNotDefinedException,NameNotFoundException {
		String id=null;;
		
		AST subscript_or_member_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		Value s;
		
		try {      // for error handling
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case SUBSCRIPT:
			{
				AST __t212 = _t;
				AST tmp90_AST_in = (AST)_t;
				match(_t,SUBSCRIPT);
				_t = _t.getFirstChild();
				s=expr(_t);
				_t = _retTree;
				_t = __t212;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					refList.add(new Integer(s.intValue()).toString());
				}
				break;
			}
			case IDENT:
			{
				id=identifier(_t);
				_t = _retTree;
				if ( inputState.guessing==0 ) {
					refList.add(id);
				}
				break;
			}
			default:
			{
				throw new NoViableAltException(_t);
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				if (_t!=null) {_t = _t.getNextSibling();}
			} else {
			  throw ex;
			}
		}
		_retTree = _t;
		return id;
	}
	
	public final Value  expr(AST _t) throws RecognitionException, InvalidOperatorException,OperationNotDefinedException,NameNotFoundException {
		Value returnVar=null;
		
		AST expr_AST_in = (_t == ASTNULL) ? null : (AST)_t;
		AST o = null;
		AST i = null;
		AST h = null;
		AST f = null;
		AST d = null;
		AST pt = null;
		AST ident = null;
		AST tident = null;
		Value v1, v2, log_expr; String s1; ArrayList el;
		
		try {      // for error handling
			if (_t==null) _t=ASTNULL;
			switch ( _t.getType()) {
			case PLUS:
			{
				AST __t214 = _t;
				AST tmp91_AST_in = (AST)_t;
				match(_t,PLUS);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t214;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
						returnVar = v1.getType().add(v1, v2);
				}
				break;
			}
			case STAR:
			{
				AST __t223 = _t;
				AST tmp92_AST_in = (AST)_t;
				match(_t,STAR);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t223;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().multiply(v1, v2);
				}
				break;
			}
			case MEMORY:
			{
				AST __t224 = _t;
				AST tmp93_AST_in = (AST)_t;
				match(_t,MEMORY);
				_t = _t.getFirstChild();
				s1=identifier(_t);
				_t = _retTree;
				_t = __t224;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = ArithmeticType.newLongValue(longType, (long)0);
					returnVar = (Value)cppSymTabRef.getMemory(frame, s1);
				}
				break;
			}
			case DIVIDE:
			{
				AST __t225 = _t;
				AST tmp94_AST_in = (AST)_t;
				match(_t,DIVIDE);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t225;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().divide(v1, v2);
				}
				break;
			}
			case MOD:
			{
				AST __t226 = _t;
				AST tmp95_AST_in = (AST)_t;
				match(_t,MOD);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t226;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
						returnVar = v1.getType().mod(v1, v2);
				}
				break;
			}
			case SHIFTLEFT:
			{
				AST __t227 = _t;
				AST tmp96_AST_in = (AST)_t;
				match(_t,SHIFTLEFT);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t227;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
						
					if((v1.getType().getTypeId() < BaseTypes.baseTypeByte && v1.getType().getTypeId() > BaseTypes.baseTypeLong) ||
					(v2.getType().getTypeId() < BaseTypes.baseTypeByte && v2.getType().getTypeId() > BaseTypes.baseTypeLong)) {
					
					throw new OperationNotDefinedException("binary operator << not defined for types " + 
					v1.getType().getName() + " and " + v2.getType().getName());
					}
					
					returnVar = v1.getType().shiftLeft(v1, v2);
				}
				break;
			}
			case SHIFTRIGHT:
			{
				AST __t228 = _t;
				AST tmp97_AST_in = (AST)_t;
				match(_t,SHIFTRIGHT);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t228;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
						
					if((v1.getType().getTypeId() < BaseTypes.baseTypeByte && v1.getType().getTypeId() > BaseTypes.baseTypeLong) ||
					(v2.getType().getTypeId() < BaseTypes.baseTypeByte && v2.getType().getTypeId() > BaseTypes.baseTypeLong)) {
					
					throw new OperationNotDefinedException("binary operator >> not defined for types " + 
					v1.getType().getName() + " and " + v2.getType().getName());
					}
					
					returnVar = v1.getType().shiftRight(v1, v2);
				}
				break;
			}
			case LESSTHAN:
			{
				AST __t229 = _t;
				AST tmp98_AST_in = (AST)_t;
				match(_t,LESSTHAN);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t229;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().lessThan(v1, v2);
				}
				break;
			}
			case GREATERTHAN:
			{
				AST __t230 = _t;
				AST tmp99_AST_in = (AST)_t;
				match(_t,GREATERTHAN);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t230;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().greaterThan(v1, v2);
				}
				break;
			}
			case LESSTHANOREQUALTO:
			{
				AST __t231 = _t;
				AST tmp100_AST_in = (AST)_t;
				match(_t,LESSTHANOREQUALTO);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t231;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().lessThanOrEqualTo(v1, v2);
				}
				break;
			}
			case GREATERTHANOREQUALTO:
			{
				AST __t232 = _t;
				AST tmp101_AST_in = (AST)_t;
				match(_t,GREATERTHANOREQUALTO);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t232;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().greaterThanOrEqualTo(v1, v2);
				}
				break;
			}
			case NOTEQUAL:
			{
				AST __t233 = _t;
				AST tmp102_AST_in = (AST)_t;
				match(_t,NOTEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t233;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().notEqual(v1, v2);
				}
				break;
			}
			case EQUAL:
			{
				AST __t234 = _t;
				AST tmp103_AST_in = (AST)_t;
				match(_t,EQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t234;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().equal(v1, v2);
				}
				break;
			}
			case AMPERSAND:
			{
				AST __t238 = _t;
				AST tmp104_AST_in = (AST)_t;
				match(_t,AMPERSAND);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t238;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().bitWiseAnd(v1, v2);
				}
				break;
			}
			case ADDRESS_OF:
			{
				AST __t239 = _t;
				AST tmp105_AST_in = (AST)_t;
				match(_t,ADDRESS_OF);
				_t = _t.getFirstChild();
				s1=identifier(_t);
				_t = _retTree;
				_t = __t239;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = ArithmeticType.newLongValue(longType, (long)0);
					returnVar = (Value)cppSymTabRef.getAddress(frame, s1);
				}
				break;
			}
			case BITWISEXOR:
			{
				AST __t240 = _t;
				AST tmp106_AST_in = (AST)_t;
				match(_t,BITWISEXOR);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t240;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().bitWiseXor(v1, v2);
				}
				break;
			}
			case BITWISEOR:
			{
				AST __t241 = _t;
				AST tmp107_AST_in = (AST)_t;
				match(_t,BITWISEOR);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t241;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().bitWiseOr(v1, v2);
				}
				break;
			}
			case AND:
			{
				AST __t242 = _t;
				AST tmp108_AST_in = (AST)_t;
				match(_t,AND);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t242;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().logicalAnd(v1, v2);
				}
				break;
			}
			case OR:
			{
				AST __t243 = _t;
				AST tmp109_AST_in = (AST)_t;
				match(_t,OR);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t243;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().logicalOr(v1, v2);
				}
				break;
			}
			case NOT:
			{
				AST __t244 = _t;
				AST tmp110_AST_in = (AST)_t;
				match(_t,NOT);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				_t = __t244;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().logicalNegation(v1);
				}
				break;
			}
			case TILDE:
			{
				AST __t245 = _t;
				AST tmp111_AST_in = (AST)_t;
				match(_t,TILDE);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				_t = __t245;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1.getType().bitWiseComplement(v1);
				}
				break;
			}
			case COND_EXPR:
			{
				AST __t246 = _t;
				AST tmp112_AST_in = (AST)_t;
				match(_t,COND_EXPR);
				_t = _t.getFirstChild();
				log_expr=expr(_t);
				_t = _retTree;
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t246;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					returnVar = ((log_expr.getType().getLogicalValue(log_expr)) ? v1 : v2);  
					
				}
				break;
			}
			case OCTALINT:
			{
				o = (AST)_t;
				match(_t,OCTALINT);
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
						    char c = o.getText().charAt(o.getText().length() - 1);
						    int l = o.getText().length();
						    if (c == 'u' || c == 'U' || c == 'l' || c == 'L')
						       l -= 1;
					returnVar = ArithmeticType.newLongValue (
					longType, Long.parseLong(o.getText().substring(1, l), 8));
					
				}
				break;
			}
			case DECIMALINT:
			{
				i = (AST)_t;
				match(_t,DECIMALINT);
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
						    char c = i.getText().charAt(i.getText().length() - 1);
						    int l = i.getText().length();
						    if (c == 'u' || c == 'U' || c == 'l' || c == 'L')
						       l -= 1;
					returnVar = ArithmeticType.newLongValue (
					longType, Long.parseLong(i.getText().substring(0, l)));
					
				}
				break;
			}
			case HEXADECIMALINT:
			{
				h = (AST)_t;
				match(_t,HEXADECIMALINT);
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
						    char c = h.getText().charAt(h.getText().length() - 1);
						    int l = h.getText().length();
						    if (c == 'u' || c == 'U' || c == 'l' || c == 'L')
						       l -= 1;
					returnVar = ArithmeticType.newLongValue (
					longType, Long.parseLong(h.getText().substring(2, l), 16));
					
				}
				break;
			}
			case FLOAT:
			{
				f = (AST)_t;
				match(_t,FLOAT);
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
						    char c = f.getText().charAt(f.getText().length() - 1);
						    int l = f.getText().length();
						    if (c == 'f' || c == 'F' || c == 'l' || c == 'L')
						       l -= 1;
					returnVar = ArithmeticType.newFloatValue (
					floatType, Float.parseFloat(f.getText().substring(0, l)));
					
				}
				break;
			}
			case DOUBLE:
			{
				d = (AST)_t;
				match(_t,DOUBLE);
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
						    char c = d.getText().charAt(d.getText().length() - 1);
						    int l = d.getText().length();
						    if (c == 'f' || c == 'F' || c == 'l' || c == 'L')
						       l -= 1;
					returnVar = ArithmeticType.newDoubleValue (
					doubleType, Double.parseDouble(d.getText().substring(0, l)));
					
				}
				break;
			}
			case ASSIGNEQUAL:
			{
				AST __t247 = _t;
				AST tmp113_AST_in = (AST)_t;
				match(_t,ASSIGNEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t247;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().assign(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case TIMESEQUAL:
			{
				AST __t248 = _t;
				AST tmp114_AST_in = (AST)_t;
				match(_t,TIMESEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t248;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().timesEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case DIVIDEEQUAL:
			{
				AST __t249 = _t;
				AST tmp115_AST_in = (AST)_t;
				match(_t,DIVIDEEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t249;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().divideEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case MINUSEQUAL:
			{
				AST __t250 = _t;
				AST tmp116_AST_in = (AST)_t;
				match(_t,MINUSEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t250;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().minusEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case PLUSEQUAL:
			{
				AST __t251 = _t;
				AST tmp117_AST_in = (AST)_t;
				match(_t,PLUSEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t251;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().plusEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case MODEQUAL:
			{
				AST __t252 = _t;
				AST tmp118_AST_in = (AST)_t;
				match(_t,MODEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t252;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().modEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case SHIFTLEFTEQUAL:
			{
				AST __t253 = _t;
				AST tmp119_AST_in = (AST)_t;
				match(_t,SHIFTLEFTEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t253;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().shiftLeftEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case SHIFTRIGHTEQUAL:
			{
				AST __t254 = _t;
				AST tmp120_AST_in = (AST)_t;
				match(_t,SHIFTRIGHTEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t254;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().shiftRightEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case BITWISEANDEQUAL:
			{
				AST __t255 = _t;
				AST tmp121_AST_in = (AST)_t;
				match(_t,BITWISEANDEQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t255;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().bitWiseAndEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case BITWISEXOREQUAL:
			{
				AST __t256 = _t;
				AST tmp122_AST_in = (AST)_t;
				match(_t,BITWISEXOREQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t256;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().bitWiseXorEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case BITWISEOREQUAL:
			{
				AST __t257 = _t;
				AST tmp123_AST_in = (AST)_t;
				match(_t,BITWISEOREQUAL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t257;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					v1.getType().bitWiseOrEqual(v1, v2);
					returnVar = v1;
					cppSymTabRef.put(frame, v1.getText(), v1);
					
				}
				break;
			}
			case CAST:
			{
				AST __t258 = _t;
				AST tmp124_AST_in = (AST)_t;
				match(_t,CAST);
				_t = _t.getFirstChild();
				pt = _t==ASTNULL ? null : (AST)_t;
				primitiveType(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t258;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
						    if(pt.getText().compareTo("long") == 0) {
						      returnVar = ArithmeticType.newLongValue(longType, (long)0);
					returnVar.getType().assign(returnVar, v2);
						      }
						    else if(pt.getText().compareTo("int") == 0) {
						      returnVar = ArithmeticType.newIntegerValue(intType, (int)0);
					returnVar.getType().assign(returnVar, v2);
						      }
						    else if(pt.getText().compareTo("short") == 0) {
						      returnVar = ArithmeticType.newShortValue(shortType, (short)0);
					returnVar.getType().assign(returnVar, v2);
						      }
						    else if(pt.getText().compareTo("double") == 0) {
						      returnVar = ArithmeticType.newDoubleValue(doubleType, (double)0);
					returnVar.getType().assign(returnVar, v2);
						      }
						    else if(pt.getText().compareTo("float") == 0) {
						      returnVar = ArithmeticType.newFloatValue(floatType, (float)0);
					returnVar.getType().assign(returnVar, v2);
						      }
						    else returnVar = v2;
					
				}
				break;
			}
			case EXPR_LIST:
			{
				AST __t259 = _t;
				AST tmp125_AST_in = (AST)_t;
				match(_t,EXPR_LIST);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				_t = __t259;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1;
				}
				break;
			}
			case FUNC_CALL:
			{
				AST __t260 = _t;
				AST tmp126_AST_in = (AST)_t;
				match(_t,FUNC_CALL);
				_t = _t.getFirstChild();
				v1=expr(_t);
				_t = _retTree;
				v2=expr(_t);
				_t = _retTree;
				_t = __t260;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					returnVar = v1;
				}
				break;
			}
			case REFERENCE:
			{
				AST __t261 = _t;
				AST tmp127_AST_in = (AST)_t;
				match(_t,REFERENCE);
				_t = _t.getFirstChild();
				el=references(_t);
				_t = _retTree;
				_t = __t261;
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					returnVar = (Value)cppSymTabRef.get(frame, el);
					
				}
				break;
			}
			case IDENT:
			{
				ident = (AST)_t;
				match(_t,IDENT);
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					if((returnVar = ((Value)cppSymTabRef.get(frame, ident.getText()))) == null
							&& cppSymTabRef.putUndefined()) {
					returnVar = ArithmeticType.newIntegerValue(intType, 0);
					cppSymTabRef.put(null, ident.getText(), returnVar);
					}
					
				}
				break;
			}
			case TAB_IDENT:
			{
				tident = (AST)_t;
				match(_t,TAB_IDENT);
				_t = _t.getNextSibling();
				if ( inputState.guessing==0 ) {
					
					if((returnVar = ((Value)cppSymTabRef.get(frame, tident.getText()))) == null
							&& cppSymTabRef.putUndefined()) {
					returnVar = ArithmeticType.newIntegerValue(intType, 0);
					cppSymTabRef.put(null, tident.getText(), returnVar);
					}
					
				}
				break;
			}
			default:
				boolean synPredMatched217 = false;
				if (_t==null) _t=ASTNULL;
				if (((_t.getType()==MINUS))) {
					AST __t217 = _t;
					synPredMatched217 = true;
					inputState.guessing++;
					try {
						{
						AST __t216 = _t;
						AST tmp128_AST_in = (AST)_t;
						match(_t,MINUS);
						_t = _t.getFirstChild();
						expr(_t);
						_t = _retTree;
						expr(_t);
						_t = _retTree;
						_t = __t216;
						_t = _t.getNextSibling();
						}
					}
					catch (RecognitionException pe) {
						synPredMatched217 = false;
					}
					_t = __t217;
inputState.guessing--;
				}
				if ( synPredMatched217 ) {
					AST __t218 = _t;
					AST tmp129_AST_in = (AST)_t;
					match(_t,MINUS);
					_t = _t.getFirstChild();
					v1=expr(_t);
					_t = _retTree;
					v2=expr(_t);
					_t = _retTree;
					_t = __t218;
					_t = _t.getNextSibling();
					if ( inputState.guessing==0 ) {
						returnVar = v1.getType().subtract(v1, v2);
					}
				}
				else if ((_t.getType()==MINUS)) {
					AST __t219 = _t;
					AST tmp130_AST_in = (AST)_t;
					match(_t,MINUS);
					_t = _t.getFirstChild();
					v1=expr(_t);
					_t = _retTree;
					_t = __t219;
					_t = _t.getNextSibling();
					if ( inputState.guessing==0 ) {
						returnVar = ArithmeticType.newIntegerValue(intType, 0);
						returnVar = returnVar.getType().subtract(returnVar, v1);
					}
				}
			else {
				throw new NoViableAltException(_t);
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				if (_t!=null) {_t = _t.getNextSibling();}
			} else {
			  throw ex;
			}
		}
		_retTree = _t;
		return returnVar;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"ADDRESS_OF",
		"ARG_LIST",
		"CAST",
		"REFERENCE",
		"SUBSCRIPT",
		"COND_EXPR",
		"EXPR_LIST",
		"FUNC_CALL",
		"MEMORY",
		"ETX",
		"COMMA",
		"ASSIGNEQUAL",
		"TIMESEQUAL",
		"DIVIDEEQUAL",
		"MINUSEQUAL",
		"PLUSEQUAL",
		"MODEQUAL",
		"SHIFTLEFTEQUAL",
		"SHIFTRIGHTEQUAL",
		"BITWISEANDEQUAL",
		"BITWISEXOREQUAL",
		"BITWISEOREQUAL",
		"SEMICOLON",
		"RPAREN",
		"QUESTIONMARK",
		"COLON",
		"OR",
		"AND",
		"BITWISEOR",
		"BITWISEXOR",
		"AMPERSAND",
		"NOTEQUAL",
		"EQUAL",
		"LESSTHAN",
		"GREATERTHAN",
		"LESSTHANOREQUALTO",
		"GREATERTHANOREQUALTO",
		"SHIFTLEFT",
		"SHIFTRIGHT",
		"PLUS",
		"MINUS",
		"STAR",
		"DIVIDE",
		"MOD",
		"PLUSPLUS",
		"MINUSMINUS",
		"TILDE",
		"NOT",
		"\"boolean\"",
		"\"char\"",
		"\"byte\"",
		"\"short\"",
		"\"int\"",
		"\"long\"",
		"\"float\"",
		"\"double\"",
		"LPAREN",
		"LSQUARE",
		"RSQUARE",
		"DOT",
		"TAB",
		"POINTERTO",
		"\"this\"",
		"OCTALINT",
		"DECIMALINT",
		"HEXADECIMALINT",
		"CharLiteral",
		"StringLiteral",
		"FLOAT",
		"DOUBLE",
		"\"true\"",
		"\"false\"",
		"IDENT",
		"TAB_IDENT",
		"\"operator\"",
		"LCURLY",
		"RCURLY",
		"ELLIPSIS",
		"SCOPE",
		"NL",
		"WS",
		"Escape",
		"Digit",
		"Decimal",
		"LongSuffix",
		"UnsignedSuffix",
		"FloatSuffix",
		"Exponent",
		"Vocabulary",
		"NUM",
		"HEX_DIGIT",
		"EXPONENT",
		"FLOAT_SUFFIX"
	};
	
	}
	
