package frysk.sys;

public class Sig
  implements Comparable
{
  private final String enumString;
  private final int enumValue;
  private final String enumPrint;
  private final String enumName;
  private Sig (int value, String string, String print, String name)
  {
    enumString = string;
    enumValue = value;
    enumPrint = print;
    enumName = name;
  }
  /** Return the qualified name of the enum.  */
  public String toString ()
  {
    return enumString;
  }
  /** Return a printable version of the enum.  */
  public String toPrint ()
  {
    return enumPrint;
  }
  /** Return the name of just the enum.  */
  public String toName ()
  {
    return enumName;
  }
  public boolean equals (Object o)
  {
    if (o instanceof Sig)
      return ((Sig) o).enumValue == this.enumValue;
    else
      return false;
  }
  public int hashCode ()
  {
    return enumValue;
  }
  public int compareTo (Object o)
  {
    Sig rhs = (Sig) o; // Can throw - ok.
    return rhs.enumValue - this.enumValue;
  }
  static public final int NONE_ = 0;
  static public final Sig NONE = new Sig (0, "Sig_NONE", "SIGNONE", "NONE");
  static public final int HUP_ = 1;
  static public final Sig HUP = new Sig (1, "Sig_HUP", "SIGHUP", "HUP");
  static public final int INT_ = 2;
  static public final Sig INT = new Sig (2, "Sig_INT", "SIGINT", "INT");
  static public final int QUIT_ = 3;
  static public final Sig QUIT = new Sig (3, "Sig_QUIT", "SIGQUIT", "QUIT");
  static public final int ILL_ = 4;
  static public final Sig ILL = new Sig (4, "Sig_ILL", "SIGILL", "ILL");
  static public final int TRAP_ = 5;
  static public final Sig TRAP = new Sig (5, "Sig_TRAP", "SIGTRAP", "TRAP");
  static public final int ABRT_ = 6;
  static public final Sig ABRT = new Sig (6, "Sig_ABRT", "SIGABRT", "ABRT");
  static public final int BUS_ = 7;
  static public final Sig BUS = new Sig (7, "Sig_BUS", "SIGBUS", "BUS");
  static public final int FPE_ = 8;
  static public final Sig FPE = new Sig (8, "Sig_FPE", "SIGFPE", "FPE");
  static public final int KILL_ = 9;
  static public final Sig KILL = new Sig (9, "Sig_KILL", "SIGKILL", "KILL");
  static public final int USR1_ = 10;
  static public final Sig USR1 = new Sig (10, "Sig_USR1", "SIGUSR1", "USR1");
  static public final int SEGV_ = 11;
  static public final Sig SEGV = new Sig (11, "Sig_SEGV", "SIGSEGV", "SEGV");
  static public final int USR2_ = 12;
  static public final Sig USR2 = new Sig (12, "Sig_USR2", "SIGUSR2", "USR2");
  static public final int PIPE_ = 13;
  static public final Sig PIPE = new Sig (13, "Sig_PIPE", "SIGPIPE", "PIPE");
  static public final int ALRM_ = 14;
  static public final Sig ALRM = new Sig (14, "Sig_ALRM", "SIGALRM", "ALRM");
  static public final int TERM_ = 15;
  static public final Sig TERM = new Sig (15, "Sig_TERM", "SIGTERM", "TERM");
  static public final int STKFLT_ = 16;
  static public final Sig STKFLT = new Sig (16, "Sig_STKFLT", "SIGSTKFLT", "STKFLT");
  static public final int CHLD_ = 17;
  static public final Sig CHLD = new Sig (17, "Sig_CHLD", "SIGCHLD", "CHLD");
  static public final int CONT_ = 18;
  static public final Sig CONT = new Sig (18, "Sig_CONT", "SIGCONT", "CONT");
  static public final int STOP_ = 19;
  static public final Sig STOP = new Sig (19, "Sig_STOP", "SIGSTOP", "STOP");
  static public final int TSTP_ = 20;
  static public final Sig TSTP = new Sig (20, "Sig_TSTP", "SIGTSTP", "TSTP");
  static public final int TTIN_ = 21;
  static public final Sig TTIN = new Sig (21, "Sig_TTIN", "SIGTTIN", "TTIN");
  static public final int TTOU_ = 22;
  static public final Sig TTOU = new Sig (22, "Sig_TTOU", "SIGTTOU", "TTOU");
  static public final int URG_ = 23;
  static public final Sig URG = new Sig (23, "Sig_URG", "SIGURG", "URG");
  static public final int XCPU_ = 24;
  static public final Sig XCPU = new Sig (24, "Sig_XCPU", "SIGXCPU", "XCPU");
  static public final int XFSZ_ = 25;
  static public final Sig XFSZ = new Sig (25, "Sig_XFSZ", "SIGXFSZ", "XFSZ");
  static public final int VTALRM_ = 26;
  static public final Sig VTALRM = new Sig (26, "Sig_VTALRM", "SIGVTALRM", "VTALRM");
  static public final int PROF_ = 27;
  static public final Sig PROF = new Sig (27, "Sig_PROF", "SIGPROF", "PROF");
  static public final int WINCH_ = 28;
  static public final Sig WINCH = new Sig (28, "Sig_WINCH", "SIGWINCH", "WINCH");
  static public final int IO_ = 29;
  static public final Sig IO = new Sig (29, "Sig_IO", "SIGIO", "IO");
  static public final int PWR_ = 30;
  static public final Sig PWR = new Sig (30, "Sig_PWR", "SIGPWR", "PWR");
  static public final int SYS_ = 31;
  static public final Sig SYS = new Sig (31, "Sig_SYS", "SIGSYS", "SYS");
  static public final int IOT_ = ABRT_;
  static public final Sig IOT = ABRT;
  static public final int CLD_ = CHLD_;
  static public final Sig CLD = CHLD;
  static public final int POLL_ = IO_;
  static public final Sig POLL = IO;

  /** Create a HashMap containing all the Sig elements.  */
  private static java.util.Map getMap ()
  {
    java.util.Map map;
    map = new java.util.HashMap ();
    map.put (NONE.enumString, NONE);
    map.put (HUP.enumString, HUP);
    map.put (INT.enumString, INT);
    map.put (QUIT.enumString, QUIT);
    map.put (ILL.enumString, ILL);
    map.put (TRAP.enumString, TRAP);
    map.put (ABRT.enumString, ABRT);
    map.put (BUS.enumString, BUS);
    map.put (FPE.enumString, FPE);
    map.put (KILL.enumString, KILL);
    map.put (USR1.enumString, USR1);
    map.put (SEGV.enumString, SEGV);
    map.put (USR2.enumString, USR2);
    map.put (PIPE.enumString, PIPE);
    map.put (ALRM.enumString, ALRM);
    map.put (TERM.enumString, TERM);
    map.put (STKFLT.enumString, STKFLT);
    map.put (CHLD.enumString, CHLD);
    map.put (CONT.enumString, CONT);
    map.put (STOP.enumString, STOP);
    map.put (TSTP.enumString, TSTP);
    map.put (TTIN.enumString, TTIN);
    map.put (TTOU.enumString, TTOU);
    map.put (URG.enumString, URG);
    map.put (XCPU.enumString, XCPU);
    map.put (XFSZ.enumString, XFSZ);
    map.put (VTALRM.enumString, VTALRM);
    map.put (PROF.enumString, PROF);
    map.put (WINCH.enumString, WINCH);
    map.put (IO.enumString, IO);
    map.put (PWR.enumString, PWR);
    map.put (SYS.enumString, SYS);
    return map;
  }
  private static java.util.Map enumMap = getMap ();

  /** Return the Sig object that matches the string.  */
  public static Sig valueOf (String string)
  {
    return (Sig)enumMap.get (string);
  }

  /** Return the Sig object that matches the integer.  */
  public static Sig valueOf (long i)
  {
    switch ((int)i) {
    case NONE_: return NONE;
    case HUP_: return HUP;
    case INT_: return INT;
    case QUIT_: return QUIT;
    case ILL_: return ILL;
    case TRAP_: return TRAP;
    case ABRT_: return ABRT;
    case BUS_: return BUS;
    case FPE_: return FPE;
    case KILL_: return KILL;
    case USR1_: return USR1;
    case SEGV_: return SEGV;
    case USR2_: return USR2;
    case PIPE_: return PIPE;
    case ALRM_: return ALRM;
    case TERM_: return TERM;
    case STKFLT_: return STKFLT;
    case CHLD_: return CHLD;
    case CONT_: return CONT;
    case STOP_: return STOP;
    case TSTP_: return TSTP;
    case TTIN_: return TTIN;
    case TTOU_: return TTOU;
    case URG_: return URG;
    case XCPU_: return XCPU;
    case XFSZ_: return XFSZ;
    case VTALRM_: return VTALRM;
    case PROF_: return PROF;
    case WINCH_: return WINCH;
    case IO_: return IO;
    case PWR_: return PWR;
    case SYS_: return SYS;
    default: return null;
    }
  }

  /** Return an array of all the Sig elements.  */
  public static Sig[] values ()
  {
    return (Sig[]) enumMap.values ().toArray (new Sig[0]);
  }

  /**
   * Returns the full underscore delimited name of the
   * field corresponding to the value I.
   */
  static public String toString (long i)
  {
    Sig c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toString ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I.
   */
  static public String toPrintString (long i)
  {
    Sig c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toPrint ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I, or DEF is there
   * is no such field.
   */
  static public String toPrintString (long i, String def)
  {
    Sig c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toPrint ();
  }

  /**
   * Returns just the name part of the num corresponding to I.
   */
  static public String toName (long i)
  {
    Sig c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toName ();
  }

  /**
   * Returns just the name part of the num corresponding to I,
   * or DEF is there is no such field.
   */
  static public String toName (long i, String def)
  {
    Sig c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toName ();
  }
}
