package lib.dwfl;

public class DwAtEncodings
  implements Comparable
{
  private final String enumString;
  private final int enumValue;
  private final String enumPrint;
  private final String enumName;
  private DwAtEncodings (int value, String string, String print, String name)
  {
    enumString = string;
    enumValue = value;
    enumPrint = print;
    enumName = name;
  }
  /** Return the qualified name of the enum.  */
  public String toString ()
  {
    return enumString;
  }
  /** Return a printable version of the enum.  */
  public String toPrint ()
  {
    return enumPrint;
  }
  /** Return the name of just the enum.  */
  public String toName ()
  {
    return enumName;
  }
  public boolean equals (Object o)
  {
    if (o instanceof DwAtEncodings)
      return ((DwAtEncodings) o).enumValue == this.enumValue;
    else
      return false;
  }
  public int hashCode ()
  {
    return enumValue;
  }
  public int compareTo (Object o)
  {
    DwAtEncodings rhs = (DwAtEncodings) o; // Can throw - ok.
    return rhs.enumValue - this.enumValue;
  }
  static public final int DW_AT_sibling_ = 0x01;
  static public final DwAtEncodings DW_AT_sibling = new DwAtEncodings (0x01, "DwAtEncodings_DW_AT_sibling", "DW AT sibling", "DW_AT_sibling");
  static public final int DW_AT_location_ = 0x02;
  static public final DwAtEncodings DW_AT_location = new DwAtEncodings (0x02, "DwAtEncodings_DW_AT_location", "DW AT location", "DW_AT_location");
  static public final int DW_AT_name_ = 0x03;
  static public final DwAtEncodings DW_AT_name = new DwAtEncodings (0x03, "DwAtEncodings_DW_AT_name", "DW AT name", "DW_AT_name");
  static public final int DW_AT_ordering_ = 0x09;
  static public final DwAtEncodings DW_AT_ordering = new DwAtEncodings (0x09, "DwAtEncodings_DW_AT_ordering", "DW AT ordering", "DW_AT_ordering");
  static public final int DW_AT_subscr_data_ = 0x0a;
  static public final DwAtEncodings DW_AT_subscr_data = new DwAtEncodings (0x0a, "DwAtEncodings_DW_AT_subscr_data", "DW AT subscr data", "DW_AT_subscr_data");
  static public final int DW_AT_byte_size_ = 0x0b;
  static public final DwAtEncodings DW_AT_byte_size = new DwAtEncodings (0x0b, "DwAtEncodings_DW_AT_byte_size", "DW AT byte size", "DW_AT_byte_size");
  static public final int DW_AT_bit_offset_ = 0x0c;
  static public final DwAtEncodings DW_AT_bit_offset = new DwAtEncodings (0x0c, "DwAtEncodings_DW_AT_bit_offset", "DW AT bit offset", "DW_AT_bit_offset");
  static public final int DW_AT_bit_size_ = 0x0d;
  static public final DwAtEncodings DW_AT_bit_size = new DwAtEncodings (0x0d, "DwAtEncodings_DW_AT_bit_size", "DW AT bit size", "DW_AT_bit_size");
  static public final int DW_AT_element_list_ = 0x0f;
  static public final DwAtEncodings DW_AT_element_list = new DwAtEncodings (0x0f, "DwAtEncodings_DW_AT_element_list", "DW AT element list", "DW_AT_element_list");
  static public final int DW_AT_stmt_list_ = 0x10;
  static public final DwAtEncodings DW_AT_stmt_list = new DwAtEncodings (0x10, "DwAtEncodings_DW_AT_stmt_list", "DW AT stmt list", "DW_AT_stmt_list");
  static public final int DW_AT_low_pc_ = 0x11;
  static public final DwAtEncodings DW_AT_low_pc = new DwAtEncodings (0x11, "DwAtEncodings_DW_AT_low_pc", "DW AT low pc", "DW_AT_low_pc");
  static public final int DW_AT_high_pc_ = 0x12;
  static public final DwAtEncodings DW_AT_high_pc = new DwAtEncodings (0x12, "DwAtEncodings_DW_AT_high_pc", "DW AT high pc", "DW_AT_high_pc");
  static public final int DW_AT_language_ = 0x13;
  static public final DwAtEncodings DW_AT_language = new DwAtEncodings (0x13, "DwAtEncodings_DW_AT_language", "DW AT language", "DW_AT_language");
  static public final int DW_AT_member_ = 0x14;
  static public final DwAtEncodings DW_AT_member = new DwAtEncodings (0x14, "DwAtEncodings_DW_AT_member", "DW AT member", "DW_AT_member");
  static public final int DW_AT_discr_ = 0x15;
  static public final DwAtEncodings DW_AT_discr = new DwAtEncodings (0x15, "DwAtEncodings_DW_AT_discr", "DW AT discr", "DW_AT_discr");
  static public final int DW_AT_discr_value_ = 0x16;
  static public final DwAtEncodings DW_AT_discr_value = new DwAtEncodings (0x16, "DwAtEncodings_DW_AT_discr_value", "DW AT discr value", "DW_AT_discr_value");
  static public final int DW_AT_visibility_ = 0x17;
  static public final DwAtEncodings DW_AT_visibility = new DwAtEncodings (0x17, "DwAtEncodings_DW_AT_visibility", "DW AT visibility", "DW_AT_visibility");
  static public final int DW_AT_import_ = 0x18;
  static public final DwAtEncodings DW_AT_import = new DwAtEncodings (0x18, "DwAtEncodings_DW_AT_import", "DW AT import", "DW_AT_import");
  static public final int DW_AT_string_length_ = 0x19;
  static public final DwAtEncodings DW_AT_string_length = new DwAtEncodings (0x19, "DwAtEncodings_DW_AT_string_length", "DW AT string length", "DW_AT_string_length");
  static public final int DW_AT_common_reference_ = 0x1a;
  static public final DwAtEncodings DW_AT_common_reference = new DwAtEncodings (0x1a, "DwAtEncodings_DW_AT_common_reference", "DW AT common reference", "DW_AT_common_reference");
  static public final int DW_AT_comp_dir_ = 0x1b;
  static public final DwAtEncodings DW_AT_comp_dir = new DwAtEncodings (0x1b, "DwAtEncodings_DW_AT_comp_dir", "DW AT comp dir", "DW_AT_comp_dir");
  static public final int DW_AT_const_value_ = 0x1c;
  static public final DwAtEncodings DW_AT_const_value = new DwAtEncodings (0x1c, "DwAtEncodings_DW_AT_const_value", "DW AT const value", "DW_AT_const_value");
  static public final int DW_AT_containing_type_ = 0x1d;
  static public final DwAtEncodings DW_AT_containing_type = new DwAtEncodings (0x1d, "DwAtEncodings_DW_AT_containing_type", "DW AT containing type", "DW_AT_containing_type");
  static public final int DW_AT_default_value_ = 0x1e;
  static public final DwAtEncodings DW_AT_default_value = new DwAtEncodings (0x1e, "DwAtEncodings_DW_AT_default_value", "DW AT default value", "DW_AT_default_value");
  static public final int DW_AT_inline_ = 0x20;
  static public final DwAtEncodings DW_AT_inline = new DwAtEncodings (0x20, "DwAtEncodings_DW_AT_inline", "DW AT inline", "DW_AT_inline");
  static public final int DW_AT_is_optional_ = 0x21;
  static public final DwAtEncodings DW_AT_is_optional = new DwAtEncodings (0x21, "DwAtEncodings_DW_AT_is_optional", "DW AT is optional", "DW_AT_is_optional");
  static public final int DW_AT_lower_bound_ = 0x22;
  static public final DwAtEncodings DW_AT_lower_bound = new DwAtEncodings (0x22, "DwAtEncodings_DW_AT_lower_bound", "DW AT lower bound", "DW_AT_lower_bound");
  static public final int DW_AT_producer_ = 0x25;
  static public final DwAtEncodings DW_AT_producer = new DwAtEncodings (0x25, "DwAtEncodings_DW_AT_producer", "DW AT producer", "DW_AT_producer");
  static public final int DW_AT_prototyped_ = 0x27;
  static public final DwAtEncodings DW_AT_prototyped = new DwAtEncodings (0x27, "DwAtEncodings_DW_AT_prototyped", "DW AT prototyped", "DW_AT_prototyped");
  static public final int DW_AT_return_addr_ = 0x2a;
  static public final DwAtEncodings DW_AT_return_addr = new DwAtEncodings (0x2a, "DwAtEncodings_DW_AT_return_addr", "DW AT return addr", "DW_AT_return_addr");
  static public final int DW_AT_start_scope_ = 0x2c;
  static public final DwAtEncodings DW_AT_start_scope = new DwAtEncodings (0x2c, "DwAtEncodings_DW_AT_start_scope", "DW AT start scope", "DW_AT_start_scope");
  static public final int DW_AT_bit_stride_ = 0x2e;
  static public final DwAtEncodings DW_AT_bit_stride = new DwAtEncodings (0x2e, "DwAtEncodings_DW_AT_bit_stride", "DW AT bit stride", "DW_AT_bit_stride");
  static public final int DW_AT_upper_bound_ = 0x2f;
  static public final DwAtEncodings DW_AT_upper_bound = new DwAtEncodings (0x2f, "DwAtEncodings_DW_AT_upper_bound", "DW AT upper bound", "DW_AT_upper_bound");
  static public final int DW_AT_abstract_origin_ = 0x31;
  static public final DwAtEncodings DW_AT_abstract_origin = new DwAtEncodings (0x31, "DwAtEncodings_DW_AT_abstract_origin", "DW AT abstract origin", "DW_AT_abstract_origin");
  static public final int DW_AT_accessibility_ = 0x32;
  static public final DwAtEncodings DW_AT_accessibility = new DwAtEncodings (0x32, "DwAtEncodings_DW_AT_accessibility", "DW AT accessibility", "DW_AT_accessibility");
  static public final int DW_AT_address_class_ = 0x33;
  static public final DwAtEncodings DW_AT_address_class = new DwAtEncodings (0x33, "DwAtEncodings_DW_AT_address_class", "DW AT address class", "DW_AT_address_class");
  static public final int DW_AT_artificial_ = 0x34;
  static public final DwAtEncodings DW_AT_artificial = new DwAtEncodings (0x34, "DwAtEncodings_DW_AT_artificial", "DW AT artificial", "DW_AT_artificial");
  static public final int DW_AT_base_types_ = 0x35;
  static public final DwAtEncodings DW_AT_base_types = new DwAtEncodings (0x35, "DwAtEncodings_DW_AT_base_types", "DW AT base types", "DW_AT_base_types");
  static public final int DW_AT_calling_convention_ = 0x36;
  static public final DwAtEncodings DW_AT_calling_convention = new DwAtEncodings (0x36, "DwAtEncodings_DW_AT_calling_convention", "DW AT calling convention", "DW_AT_calling_convention");
  static public final int DW_AT_count_ = 0x37;
  static public final DwAtEncodings DW_AT_count = new DwAtEncodings (0x37, "DwAtEncodings_DW_AT_count", "DW AT count", "DW_AT_count");
  static public final int DW_AT_data_member_location_ = 0x38;
  static public final DwAtEncodings DW_AT_data_member_location = new DwAtEncodings (0x38, "DwAtEncodings_DW_AT_data_member_location", "DW AT data member location", "DW_AT_data_member_location");
  static public final int DW_AT_decl_column_ = 0x39;
  static public final DwAtEncodings DW_AT_decl_column = new DwAtEncodings (0x39, "DwAtEncodings_DW_AT_decl_column", "DW AT decl column", "DW_AT_decl_column");
  static public final int DW_AT_decl_file_ = 0x3a;
  static public final DwAtEncodings DW_AT_decl_file = new DwAtEncodings (0x3a, "DwAtEncodings_DW_AT_decl_file", "DW AT decl file", "DW_AT_decl_file");
  static public final int DW_AT_decl_line_ = 0x3b;
  static public final DwAtEncodings DW_AT_decl_line = new DwAtEncodings (0x3b, "DwAtEncodings_DW_AT_decl_line", "DW AT decl line", "DW_AT_decl_line");
  static public final int DW_AT_declaration_ = 0x3c;
  static public final DwAtEncodings DW_AT_declaration = new DwAtEncodings (0x3c, "DwAtEncodings_DW_AT_declaration", "DW AT declaration", "DW_AT_declaration");
  static public final int DW_AT_discr_list_ = 0x3d;
  static public final DwAtEncodings DW_AT_discr_list = new DwAtEncodings (0x3d, "DwAtEncodings_DW_AT_discr_list", "DW AT discr list", "DW_AT_discr_list");
  static public final int DW_AT_encoding_ = 0x3e;
  static public final DwAtEncodings DW_AT_encoding = new DwAtEncodings (0x3e, "DwAtEncodings_DW_AT_encoding", "DW AT encoding", "DW_AT_encoding");
  static public final int DW_AT_external_ = 0x3f;
  static public final DwAtEncodings DW_AT_external = new DwAtEncodings (0x3f, "DwAtEncodings_DW_AT_external", "DW AT external", "DW_AT_external");
  static public final int DW_AT_frame_base_ = 0x40;
  static public final DwAtEncodings DW_AT_frame_base = new DwAtEncodings (0x40, "DwAtEncodings_DW_AT_frame_base", "DW AT frame base", "DW_AT_frame_base");
  static public final int DW_AT_friend_ = 0x41;
  static public final DwAtEncodings DW_AT_friend = new DwAtEncodings (0x41, "DwAtEncodings_DW_AT_friend", "DW AT friend", "DW_AT_friend");
  static public final int DW_AT_identifier_case_ = 0x42;
  static public final DwAtEncodings DW_AT_identifier_case = new DwAtEncodings (0x42, "DwAtEncodings_DW_AT_identifier_case", "DW AT identifier case", "DW_AT_identifier_case");
  static public final int DW_AT_macro_info_ = 0x43;
  static public final DwAtEncodings DW_AT_macro_info = new DwAtEncodings (0x43, "DwAtEncodings_DW_AT_macro_info", "DW AT macro info", "DW_AT_macro_info");
  static public final int DW_AT_namelist_item_ = 0x44;
  static public final DwAtEncodings DW_AT_namelist_item = new DwAtEncodings (0x44, "DwAtEncodings_DW_AT_namelist_item", "DW AT namelist item", "DW_AT_namelist_item");
  static public final int DW_AT_priority_ = 0x45;
  static public final DwAtEncodings DW_AT_priority = new DwAtEncodings (0x45, "DwAtEncodings_DW_AT_priority", "DW AT priority", "DW_AT_priority");
  static public final int DW_AT_segment_ = 0x46;
  static public final DwAtEncodings DW_AT_segment = new DwAtEncodings (0x46, "DwAtEncodings_DW_AT_segment", "DW AT segment", "DW_AT_segment");
  static public final int DW_AT_specification_ = 0x47;
  static public final DwAtEncodings DW_AT_specification = new DwAtEncodings (0x47, "DwAtEncodings_DW_AT_specification", "DW AT specification", "DW_AT_specification");
  static public final int DW_AT_static_link_ = 0x48;
  static public final DwAtEncodings DW_AT_static_link = new DwAtEncodings (0x48, "DwAtEncodings_DW_AT_static_link", "DW AT static link", "DW_AT_static_link");
  static public final int DW_AT_type_ = 0x49;
  static public final DwAtEncodings DW_AT_type = new DwAtEncodings (0x49, "DwAtEncodings_DW_AT_type", "DW AT type", "DW_AT_type");
  static public final int DW_AT_use_location_ = 0x4a;
  static public final DwAtEncodings DW_AT_use_location = new DwAtEncodings (0x4a, "DwAtEncodings_DW_AT_use_location", "DW AT use location", "DW_AT_use_location");
  static public final int DW_AT_variable_parameter_ = 0x4b;
  static public final DwAtEncodings DW_AT_variable_parameter = new DwAtEncodings (0x4b, "DwAtEncodings_DW_AT_variable_parameter", "DW AT variable parameter", "DW_AT_variable_parameter");
  static public final int DW_AT_virtuality_ = 0x4c;
  static public final DwAtEncodings DW_AT_virtuality = new DwAtEncodings (0x4c, "DwAtEncodings_DW_AT_virtuality", "DW AT virtuality", "DW_AT_virtuality");
  static public final int DW_AT_vtable_elem_location_ = 0x4d;
  static public final DwAtEncodings DW_AT_vtable_elem_location = new DwAtEncodings (0x4d, "DwAtEncodings_DW_AT_vtable_elem_location", "DW AT vtable elem location", "DW_AT_vtable_elem_location");
  static public final int DW_AT_allocated_ = 0x4e;
  static public final DwAtEncodings DW_AT_allocated = new DwAtEncodings (0x4e, "DwAtEncodings_DW_AT_allocated", "DW AT allocated", "DW_AT_allocated");
  static public final int DW_AT_associated_ = 0x4f;
  static public final DwAtEncodings DW_AT_associated = new DwAtEncodings (0x4f, "DwAtEncodings_DW_AT_associated", "DW AT associated", "DW_AT_associated");
  static public final int DW_AT_data_location_ = 0x50;
  static public final DwAtEncodings DW_AT_data_location = new DwAtEncodings (0x50, "DwAtEncodings_DW_AT_data_location", "DW AT data location", "DW_AT_data_location");
  static public final int DW_AT_byte_stride_ = 0x51;
  static public final DwAtEncodings DW_AT_byte_stride = new DwAtEncodings (0x51, "DwAtEncodings_DW_AT_byte_stride", "DW AT byte stride", "DW_AT_byte_stride");
  static public final int DW_AT_entry_pc_ = 0x52;
  static public final DwAtEncodings DW_AT_entry_pc = new DwAtEncodings (0x52, "DwAtEncodings_DW_AT_entry_pc", "DW AT entry pc", "DW_AT_entry_pc");
  static public final int DW_AT_use_UTF8_ = 0x53;
  static public final DwAtEncodings DW_AT_use_UTF8 = new DwAtEncodings (0x53, "DwAtEncodings_DW_AT_use_UTF8", "DW AT use UTF8", "DW_AT_use_UTF8");
  static public final int DW_AT_extension_ = 0x54;
  static public final DwAtEncodings DW_AT_extension = new DwAtEncodings (0x54, "DwAtEncodings_DW_AT_extension", "DW AT extension", "DW_AT_extension");
  static public final int DW_AT_ranges_ = 0x55;
  static public final DwAtEncodings DW_AT_ranges = new DwAtEncodings (0x55, "DwAtEncodings_DW_AT_ranges", "DW AT ranges", "DW_AT_ranges");
  static public final int DW_AT_trampoline_ = 0x56;
  static public final DwAtEncodings DW_AT_trampoline = new DwAtEncodings (0x56, "DwAtEncodings_DW_AT_trampoline", "DW AT trampoline", "DW_AT_trampoline");
  static public final int DW_AT_call_column_ = 0x57;
  static public final DwAtEncodings DW_AT_call_column = new DwAtEncodings (0x57, "DwAtEncodings_DW_AT_call_column", "DW AT call column", "DW_AT_call_column");
  static public final int DW_AT_call_file_ = 0x58;
  static public final DwAtEncodings DW_AT_call_file = new DwAtEncodings (0x58, "DwAtEncodings_DW_AT_call_file", "DW AT call file", "DW_AT_call_file");
  static public final int DW_AT_call_line_ = 0x59;
  static public final DwAtEncodings DW_AT_call_line = new DwAtEncodings (0x59, "DwAtEncodings_DW_AT_call_line", "DW AT call line", "DW_AT_call_line");
  static public final int DW_AT_description_ = 0x5a;
  static public final DwAtEncodings DW_AT_description = new DwAtEncodings (0x5a, "DwAtEncodings_DW_AT_description", "DW AT description", "DW_AT_description");
  static public final int DW_AT_binary_scale_ = 0x5b;
  static public final DwAtEncodings DW_AT_binary_scale = new DwAtEncodings (0x5b, "DwAtEncodings_DW_AT_binary_scale", "DW AT binary scale", "DW_AT_binary_scale");
  static public final int DW_AT_decimal_scale_ = 0x5c;
  static public final DwAtEncodings DW_AT_decimal_scale = new DwAtEncodings (0x5c, "DwAtEncodings_DW_AT_decimal_scale", "DW AT decimal scale", "DW_AT_decimal_scale");
  static public final int DW_AT_small_ = 0x5d;
  static public final DwAtEncodings DW_AT_small = new DwAtEncodings (0x5d, "DwAtEncodings_DW_AT_small", "DW AT small", "DW_AT_small");
  static public final int DW_AT_decimal_sign_ = 0x5e;
  static public final DwAtEncodings DW_AT_decimal_sign = new DwAtEncodings (0x5e, "DwAtEncodings_DW_AT_decimal_sign", "DW AT decimal sign", "DW_AT_decimal_sign");
  static public final int DW_AT_digit_count_ = 0x5f;
  static public final DwAtEncodings DW_AT_digit_count = new DwAtEncodings (0x5f, "DwAtEncodings_DW_AT_digit_count", "DW AT digit count", "DW_AT_digit_count");
  static public final int DW_AT_picture_string_ = 0x60;
  static public final DwAtEncodings DW_AT_picture_string = new DwAtEncodings (0x60, "DwAtEncodings_DW_AT_picture_string", "DW AT picture string", "DW_AT_picture_string");
  static public final int DW_AT_mutable_ = 0x61;
  static public final DwAtEncodings DW_AT_mutable = new DwAtEncodings (0x61, "DwAtEncodings_DW_AT_mutable", "DW AT mutable", "DW_AT_mutable");
  static public final int DW_AT_threads_scaled_ = 0x62;
  static public final DwAtEncodings DW_AT_threads_scaled = new DwAtEncodings (0x62, "DwAtEncodings_DW_AT_threads_scaled", "DW AT threads scaled", "DW_AT_threads_scaled");
  static public final int DW_AT_explicit_ = 0x63;
  static public final DwAtEncodings DW_AT_explicit = new DwAtEncodings (0x63, "DwAtEncodings_DW_AT_explicit", "DW AT explicit", "DW_AT_explicit");
  static public final int DW_AT_object_pointer_ = 0x64;
  static public final DwAtEncodings DW_AT_object_pointer = new DwAtEncodings (0x64, "DwAtEncodings_DW_AT_object_pointer", "DW AT object pointer", "DW_AT_object_pointer");
  static public final int DW_AT_endianity_ = 0x65;
  static public final DwAtEncodings DW_AT_endianity = new DwAtEncodings (0x65, "DwAtEncodings_DW_AT_endianity", "DW AT endianity", "DW_AT_endianity");
  static public final int DW_AT_elemental_ = 0x66;
  static public final DwAtEncodings DW_AT_elemental = new DwAtEncodings (0x66, "DwAtEncodings_DW_AT_elemental", "DW AT elemental", "DW_AT_elemental");
  static public final int DW_AT_pure_ = 0x67;
  static public final DwAtEncodings DW_AT_pure = new DwAtEncodings (0x67, "DwAtEncodings_DW_AT_pure", "DW AT pure", "DW_AT_pure");
  static public final int DW_AT_recursive_ = 0x68;
  static public final DwAtEncodings DW_AT_recursive = new DwAtEncodings (0x68, "DwAtEncodings_DW_AT_recursive", "DW AT recursive", "DW_AT_recursive");
  static public final int DW_AT_lo_user_ = 0x2000;
  static public final DwAtEncodings DW_AT_lo_user = new DwAtEncodings (0x2000, "DwAtEncodings_DW_AT_lo_user", "DW AT lo user", "DW_AT_lo_user");
  static public final int DW_AT_MIPS_fde_ = 0x2001;
  static public final DwAtEncodings DW_AT_MIPS_fde = new DwAtEncodings (0x2001, "DwAtEncodings_DW_AT_MIPS_fde", "DW AT MIPS fde", "DW_AT_MIPS_fde");
  static public final int DW_AT_MIPS_loop_begin_ = 0x2002;
  static public final DwAtEncodings DW_AT_MIPS_loop_begin = new DwAtEncodings (0x2002, "DwAtEncodings_DW_AT_MIPS_loop_begin", "DW AT MIPS loop begin", "DW_AT_MIPS_loop_begin");
  static public final int DW_AT_MIPS_tail_loop_begin_ = 0x2003;
  static public final DwAtEncodings DW_AT_MIPS_tail_loop_begin = new DwAtEncodings (0x2003, "DwAtEncodings_DW_AT_MIPS_tail_loop_begin", "DW AT MIPS tail loop begin", "DW_AT_MIPS_tail_loop_begin");
  static public final int DW_AT_MIPS_epilog_begin_ = 0x2004;
  static public final DwAtEncodings DW_AT_MIPS_epilog_begin = new DwAtEncodings (0x2004, "DwAtEncodings_DW_AT_MIPS_epilog_begin", "DW AT MIPS epilog begin", "DW_AT_MIPS_epilog_begin");
  static public final int DW_AT_MIPS_loop_unroll_factor_ = 0x2005;
  static public final DwAtEncodings DW_AT_MIPS_loop_unroll_factor = new DwAtEncodings (0x2005, "DwAtEncodings_DW_AT_MIPS_loop_unroll_factor", "DW AT MIPS loop unroll factor", "DW_AT_MIPS_loop_unroll_factor");
  static public final int DW_AT_MIPS_software_pipeline_depth_ = 0x2006;
  static public final DwAtEncodings DW_AT_MIPS_software_pipeline_depth = new DwAtEncodings (0x2006, "DwAtEncodings_DW_AT_MIPS_software_pipeline_depth", "DW AT MIPS software pipeline depth", "DW_AT_MIPS_software_pipeline_depth");
  static public final int DW_AT_MIPS_linkage_name_ = 0x2007;
  static public final DwAtEncodings DW_AT_MIPS_linkage_name = new DwAtEncodings (0x2007, "DwAtEncodings_DW_AT_MIPS_linkage_name", "DW AT MIPS linkage name", "DW_AT_MIPS_linkage_name");
  static public final int DW_AT_MIPS_stride_ = 0x2008;
  static public final DwAtEncodings DW_AT_MIPS_stride = new DwAtEncodings (0x2008, "DwAtEncodings_DW_AT_MIPS_stride", "DW AT MIPS stride", "DW_AT_MIPS_stride");
  static public final int DW_AT_MIPS_abstract_name_ = 0x2009;
  static public final DwAtEncodings DW_AT_MIPS_abstract_name = new DwAtEncodings (0x2009, "DwAtEncodings_DW_AT_MIPS_abstract_name", "DW AT MIPS abstract name", "DW_AT_MIPS_abstract_name");
  static public final int DW_AT_MIPS_clone_origin_ = 0x200a;
  static public final DwAtEncodings DW_AT_MIPS_clone_origin = new DwAtEncodings (0x200a, "DwAtEncodings_DW_AT_MIPS_clone_origin", "DW AT MIPS clone origin", "DW_AT_MIPS_clone_origin");
  static public final int DW_AT_MIPS_has_inlines_ = 0x200b;
  static public final DwAtEncodings DW_AT_MIPS_has_inlines = new DwAtEncodings (0x200b, "DwAtEncodings_DW_AT_MIPS_has_inlines", "DW AT MIPS has inlines", "DW_AT_MIPS_has_inlines");
  static public final int DW_AT_MIPS_stride_byte_ = 0x200c;
  static public final DwAtEncodings DW_AT_MIPS_stride_byte = new DwAtEncodings (0x200c, "DwAtEncodings_DW_AT_MIPS_stride_byte", "DW AT MIPS stride byte", "DW_AT_MIPS_stride_byte");
  static public final int DW_AT_MIPS_stride_elem_ = 0x200d;
  static public final DwAtEncodings DW_AT_MIPS_stride_elem = new DwAtEncodings (0x200d, "DwAtEncodings_DW_AT_MIPS_stride_elem", "DW AT MIPS stride elem", "DW_AT_MIPS_stride_elem");
  static public final int DW_AT_MIPS_ptr_dopetype_ = 0x200e;
  static public final DwAtEncodings DW_AT_MIPS_ptr_dopetype = new DwAtEncodings (0x200e, "DwAtEncodings_DW_AT_MIPS_ptr_dopetype", "DW AT MIPS ptr dopetype", "DW_AT_MIPS_ptr_dopetype");
  static public final int DW_AT_MIPS_allocatable_dopetype_ = 0x200f;
  static public final DwAtEncodings DW_AT_MIPS_allocatable_dopetype = new DwAtEncodings (0x200f, "DwAtEncodings_DW_AT_MIPS_allocatable_dopetype", "DW AT MIPS allocatable dopetype", "DW_AT_MIPS_allocatable_dopetype");
  static public final int DW_AT_MIPS_assumed_shape_dopetype_ = 0x2010;
  static public final DwAtEncodings DW_AT_MIPS_assumed_shape_dopetype = new DwAtEncodings (0x2010, "DwAtEncodings_DW_AT_MIPS_assumed_shape_dopetype", "DW AT MIPS assumed shape dopetype", "DW_AT_MIPS_assumed_shape_dopetype");
  static public final int DW_AT_MIPS_assumed_size_ = 0x2011;
  static public final DwAtEncodings DW_AT_MIPS_assumed_size = new DwAtEncodings (0x2011, "DwAtEncodings_DW_AT_MIPS_assumed_size", "DW AT MIPS assumed size", "DW_AT_MIPS_assumed_size");
  static public final int DW_AT_sf_names_ = 0x2101;
  static public final DwAtEncodings DW_AT_sf_names = new DwAtEncodings (0x2101, "DwAtEncodings_DW_AT_sf_names", "DW AT sf names", "DW_AT_sf_names");
  static public final int DW_AT_src_info_ = 0x2102;
  static public final DwAtEncodings DW_AT_src_info = new DwAtEncodings (0x2102, "DwAtEncodings_DW_AT_src_info", "DW AT src info", "DW_AT_src_info");
  static public final int DW_AT_mac_info_ = 0x2103;
  static public final DwAtEncodings DW_AT_mac_info = new DwAtEncodings (0x2103, "DwAtEncodings_DW_AT_mac_info", "DW AT mac info", "DW_AT_mac_info");
  static public final int DW_AT_src_coords_ = 0x2104;
  static public final DwAtEncodings DW_AT_src_coords = new DwAtEncodings (0x2104, "DwAtEncodings_DW_AT_src_coords", "DW AT src coords", "DW_AT_src_coords");
  static public final int DW_AT_body_begin_ = 0x2105;
  static public final DwAtEncodings DW_AT_body_begin = new DwAtEncodings (0x2105, "DwAtEncodings_DW_AT_body_begin", "DW AT body begin", "DW_AT_body_begin");
  static public final int DW_AT_body_end_ = 0x2106;
  static public final DwAtEncodings DW_AT_body_end = new DwAtEncodings (0x2106, "DwAtEncodings_DW_AT_body_end", "DW AT body end", "DW_AT_body_end");
  static public final int DW_AT_hi_user_ = 0x3fff;
  static public final DwAtEncodings DW_AT_hi_user = new DwAtEncodings (0x3fff, "DwAtEncodings_DW_AT_hi_user", "DW AT hi user", "DW_AT_hi_user");

  /** Create a HashMap containing all the DwAtEncodings elements.  */
  private static java.util.Map getMap ()
  {
    java.util.Map map;
    map = new java.util.HashMap ();
    map.put (DW_AT_sibling.enumString, DW_AT_sibling);
    map.put (DW_AT_location.enumString, DW_AT_location);
    map.put (DW_AT_name.enumString, DW_AT_name);
    map.put (DW_AT_ordering.enumString, DW_AT_ordering);
    map.put (DW_AT_subscr_data.enumString, DW_AT_subscr_data);
    map.put (DW_AT_byte_size.enumString, DW_AT_byte_size);
    map.put (DW_AT_bit_offset.enumString, DW_AT_bit_offset);
    map.put (DW_AT_bit_size.enumString, DW_AT_bit_size);
    map.put (DW_AT_element_list.enumString, DW_AT_element_list);
    map.put (DW_AT_stmt_list.enumString, DW_AT_stmt_list);
    map.put (DW_AT_low_pc.enumString, DW_AT_low_pc);
    map.put (DW_AT_high_pc.enumString, DW_AT_high_pc);
    map.put (DW_AT_language.enumString, DW_AT_language);
    map.put (DW_AT_member.enumString, DW_AT_member);
    map.put (DW_AT_discr.enumString, DW_AT_discr);
    map.put (DW_AT_discr_value.enumString, DW_AT_discr_value);
    map.put (DW_AT_visibility.enumString, DW_AT_visibility);
    map.put (DW_AT_import.enumString, DW_AT_import);
    map.put (DW_AT_string_length.enumString, DW_AT_string_length);
    map.put (DW_AT_common_reference.enumString, DW_AT_common_reference);
    map.put (DW_AT_comp_dir.enumString, DW_AT_comp_dir);
    map.put (DW_AT_const_value.enumString, DW_AT_const_value);
    map.put (DW_AT_containing_type.enumString, DW_AT_containing_type);
    map.put (DW_AT_default_value.enumString, DW_AT_default_value);
    map.put (DW_AT_inline.enumString, DW_AT_inline);
    map.put (DW_AT_is_optional.enumString, DW_AT_is_optional);
    map.put (DW_AT_lower_bound.enumString, DW_AT_lower_bound);
    map.put (DW_AT_producer.enumString, DW_AT_producer);
    map.put (DW_AT_prototyped.enumString, DW_AT_prototyped);
    map.put (DW_AT_return_addr.enumString, DW_AT_return_addr);
    map.put (DW_AT_start_scope.enumString, DW_AT_start_scope);
    map.put (DW_AT_bit_stride.enumString, DW_AT_bit_stride);
    map.put (DW_AT_upper_bound.enumString, DW_AT_upper_bound);
    map.put (DW_AT_abstract_origin.enumString, DW_AT_abstract_origin);
    map.put (DW_AT_accessibility.enumString, DW_AT_accessibility);
    map.put (DW_AT_address_class.enumString, DW_AT_address_class);
    map.put (DW_AT_artificial.enumString, DW_AT_artificial);
    map.put (DW_AT_base_types.enumString, DW_AT_base_types);
    map.put (DW_AT_calling_convention.enumString, DW_AT_calling_convention);
    map.put (DW_AT_count.enumString, DW_AT_count);
    map.put (DW_AT_data_member_location.enumString, DW_AT_data_member_location);
    map.put (DW_AT_decl_column.enumString, DW_AT_decl_column);
    map.put (DW_AT_decl_file.enumString, DW_AT_decl_file);
    map.put (DW_AT_decl_line.enumString, DW_AT_decl_line);
    map.put (DW_AT_declaration.enumString, DW_AT_declaration);
    map.put (DW_AT_discr_list.enumString, DW_AT_discr_list);
    map.put (DW_AT_encoding.enumString, DW_AT_encoding);
    map.put (DW_AT_external.enumString, DW_AT_external);
    map.put (DW_AT_frame_base.enumString, DW_AT_frame_base);
    map.put (DW_AT_friend.enumString, DW_AT_friend);
    map.put (DW_AT_identifier_case.enumString, DW_AT_identifier_case);
    map.put (DW_AT_macro_info.enumString, DW_AT_macro_info);
    map.put (DW_AT_namelist_item.enumString, DW_AT_namelist_item);
    map.put (DW_AT_priority.enumString, DW_AT_priority);
    map.put (DW_AT_segment.enumString, DW_AT_segment);
    map.put (DW_AT_specification.enumString, DW_AT_specification);
    map.put (DW_AT_static_link.enumString, DW_AT_static_link);
    map.put (DW_AT_type.enumString, DW_AT_type);
    map.put (DW_AT_use_location.enumString, DW_AT_use_location);
    map.put (DW_AT_variable_parameter.enumString, DW_AT_variable_parameter);
    map.put (DW_AT_virtuality.enumString, DW_AT_virtuality);
    map.put (DW_AT_vtable_elem_location.enumString, DW_AT_vtable_elem_location);
    map.put (DW_AT_allocated.enumString, DW_AT_allocated);
    map.put (DW_AT_associated.enumString, DW_AT_associated);
    map.put (DW_AT_data_location.enumString, DW_AT_data_location);
    map.put (DW_AT_byte_stride.enumString, DW_AT_byte_stride);
    map.put (DW_AT_entry_pc.enumString, DW_AT_entry_pc);
    map.put (DW_AT_use_UTF8.enumString, DW_AT_use_UTF8);
    map.put (DW_AT_extension.enumString, DW_AT_extension);
    map.put (DW_AT_ranges.enumString, DW_AT_ranges);
    map.put (DW_AT_trampoline.enumString, DW_AT_trampoline);
    map.put (DW_AT_call_column.enumString, DW_AT_call_column);
    map.put (DW_AT_call_file.enumString, DW_AT_call_file);
    map.put (DW_AT_call_line.enumString, DW_AT_call_line);
    map.put (DW_AT_description.enumString, DW_AT_description);
    map.put (DW_AT_binary_scale.enumString, DW_AT_binary_scale);
    map.put (DW_AT_decimal_scale.enumString, DW_AT_decimal_scale);
    map.put (DW_AT_small.enumString, DW_AT_small);
    map.put (DW_AT_decimal_sign.enumString, DW_AT_decimal_sign);
    map.put (DW_AT_digit_count.enumString, DW_AT_digit_count);
    map.put (DW_AT_picture_string.enumString, DW_AT_picture_string);
    map.put (DW_AT_mutable.enumString, DW_AT_mutable);
    map.put (DW_AT_threads_scaled.enumString, DW_AT_threads_scaled);
    map.put (DW_AT_explicit.enumString, DW_AT_explicit);
    map.put (DW_AT_object_pointer.enumString, DW_AT_object_pointer);
    map.put (DW_AT_endianity.enumString, DW_AT_endianity);
    map.put (DW_AT_elemental.enumString, DW_AT_elemental);
    map.put (DW_AT_pure.enumString, DW_AT_pure);
    map.put (DW_AT_recursive.enumString, DW_AT_recursive);
    map.put (DW_AT_lo_user.enumString, DW_AT_lo_user);
    map.put (DW_AT_MIPS_fde.enumString, DW_AT_MIPS_fde);
    map.put (DW_AT_MIPS_loop_begin.enumString, DW_AT_MIPS_loop_begin);
    map.put (DW_AT_MIPS_tail_loop_begin.enumString, DW_AT_MIPS_tail_loop_begin);
    map.put (DW_AT_MIPS_epilog_begin.enumString, DW_AT_MIPS_epilog_begin);
    map.put (DW_AT_MIPS_loop_unroll_factor.enumString, DW_AT_MIPS_loop_unroll_factor);
    map.put (DW_AT_MIPS_software_pipeline_depth.enumString, DW_AT_MIPS_software_pipeline_depth);
    map.put (DW_AT_MIPS_linkage_name.enumString, DW_AT_MIPS_linkage_name);
    map.put (DW_AT_MIPS_stride.enumString, DW_AT_MIPS_stride);
    map.put (DW_AT_MIPS_abstract_name.enumString, DW_AT_MIPS_abstract_name);
    map.put (DW_AT_MIPS_clone_origin.enumString, DW_AT_MIPS_clone_origin);
    map.put (DW_AT_MIPS_has_inlines.enumString, DW_AT_MIPS_has_inlines);
    map.put (DW_AT_MIPS_stride_byte.enumString, DW_AT_MIPS_stride_byte);
    map.put (DW_AT_MIPS_stride_elem.enumString, DW_AT_MIPS_stride_elem);
    map.put (DW_AT_MIPS_ptr_dopetype.enumString, DW_AT_MIPS_ptr_dopetype);
    map.put (DW_AT_MIPS_allocatable_dopetype.enumString, DW_AT_MIPS_allocatable_dopetype);
    map.put (DW_AT_MIPS_assumed_shape_dopetype.enumString, DW_AT_MIPS_assumed_shape_dopetype);
    map.put (DW_AT_MIPS_assumed_size.enumString, DW_AT_MIPS_assumed_size);
    map.put (DW_AT_sf_names.enumString, DW_AT_sf_names);
    map.put (DW_AT_src_info.enumString, DW_AT_src_info);
    map.put (DW_AT_mac_info.enumString, DW_AT_mac_info);
    map.put (DW_AT_src_coords.enumString, DW_AT_src_coords);
    map.put (DW_AT_body_begin.enumString, DW_AT_body_begin);
    map.put (DW_AT_body_end.enumString, DW_AT_body_end);
    map.put (DW_AT_hi_user.enumString, DW_AT_hi_user);
    return map;
  }
  private static java.util.Map enumMap = getMap ();

  /** Return the DwAtEncodings object that matches the string.  */
  public static DwAtEncodings valueOf (String string)
  {
    return (DwAtEncodings)enumMap.get (string);
  }

  /** Return the DwAtEncodings object that matches the integer.  */
  public static DwAtEncodings valueOf (long i)
  {
    switch ((int)i) {
    case DW_AT_sibling_: return DW_AT_sibling;
    case DW_AT_location_: return DW_AT_location;
    case DW_AT_name_: return DW_AT_name;
    case DW_AT_ordering_: return DW_AT_ordering;
    case DW_AT_subscr_data_: return DW_AT_subscr_data;
    case DW_AT_byte_size_: return DW_AT_byte_size;
    case DW_AT_bit_offset_: return DW_AT_bit_offset;
    case DW_AT_bit_size_: return DW_AT_bit_size;
    case DW_AT_element_list_: return DW_AT_element_list;
    case DW_AT_stmt_list_: return DW_AT_stmt_list;
    case DW_AT_low_pc_: return DW_AT_low_pc;
    case DW_AT_high_pc_: return DW_AT_high_pc;
    case DW_AT_language_: return DW_AT_language;
    case DW_AT_member_: return DW_AT_member;
    case DW_AT_discr_: return DW_AT_discr;
    case DW_AT_discr_value_: return DW_AT_discr_value;
    case DW_AT_visibility_: return DW_AT_visibility;
    case DW_AT_import_: return DW_AT_import;
    case DW_AT_string_length_: return DW_AT_string_length;
    case DW_AT_common_reference_: return DW_AT_common_reference;
    case DW_AT_comp_dir_: return DW_AT_comp_dir;
    case DW_AT_const_value_: return DW_AT_const_value;
    case DW_AT_containing_type_: return DW_AT_containing_type;
    case DW_AT_default_value_: return DW_AT_default_value;
    case DW_AT_inline_: return DW_AT_inline;
    case DW_AT_is_optional_: return DW_AT_is_optional;
    case DW_AT_lower_bound_: return DW_AT_lower_bound;
    case DW_AT_producer_: return DW_AT_producer;
    case DW_AT_prototyped_: return DW_AT_prototyped;
    case DW_AT_return_addr_: return DW_AT_return_addr;
    case DW_AT_start_scope_: return DW_AT_start_scope;
    case DW_AT_bit_stride_: return DW_AT_bit_stride;
    case DW_AT_upper_bound_: return DW_AT_upper_bound;
    case DW_AT_abstract_origin_: return DW_AT_abstract_origin;
    case DW_AT_accessibility_: return DW_AT_accessibility;
    case DW_AT_address_class_: return DW_AT_address_class;
    case DW_AT_artificial_: return DW_AT_artificial;
    case DW_AT_base_types_: return DW_AT_base_types;
    case DW_AT_calling_convention_: return DW_AT_calling_convention;
    case DW_AT_count_: return DW_AT_count;
    case DW_AT_data_member_location_: return DW_AT_data_member_location;
    case DW_AT_decl_column_: return DW_AT_decl_column;
    case DW_AT_decl_file_: return DW_AT_decl_file;
    case DW_AT_decl_line_: return DW_AT_decl_line;
    case DW_AT_declaration_: return DW_AT_declaration;
    case DW_AT_discr_list_: return DW_AT_discr_list;
    case DW_AT_encoding_: return DW_AT_encoding;
    case DW_AT_external_: return DW_AT_external;
    case DW_AT_frame_base_: return DW_AT_frame_base;
    case DW_AT_friend_: return DW_AT_friend;
    case DW_AT_identifier_case_: return DW_AT_identifier_case;
    case DW_AT_macro_info_: return DW_AT_macro_info;
    case DW_AT_namelist_item_: return DW_AT_namelist_item;
    case DW_AT_priority_: return DW_AT_priority;
    case DW_AT_segment_: return DW_AT_segment;
    case DW_AT_specification_: return DW_AT_specification;
    case DW_AT_static_link_: return DW_AT_static_link;
    case DW_AT_type_: return DW_AT_type;
    case DW_AT_use_location_: return DW_AT_use_location;
    case DW_AT_variable_parameter_: return DW_AT_variable_parameter;
    case DW_AT_virtuality_: return DW_AT_virtuality;
    case DW_AT_vtable_elem_location_: return DW_AT_vtable_elem_location;
    case DW_AT_allocated_: return DW_AT_allocated;
    case DW_AT_associated_: return DW_AT_associated;
    case DW_AT_data_location_: return DW_AT_data_location;
    case DW_AT_byte_stride_: return DW_AT_byte_stride;
    case DW_AT_entry_pc_: return DW_AT_entry_pc;
    case DW_AT_use_UTF8_: return DW_AT_use_UTF8;
    case DW_AT_extension_: return DW_AT_extension;
    case DW_AT_ranges_: return DW_AT_ranges;
    case DW_AT_trampoline_: return DW_AT_trampoline;
    case DW_AT_call_column_: return DW_AT_call_column;
    case DW_AT_call_file_: return DW_AT_call_file;
    case DW_AT_call_line_: return DW_AT_call_line;
    case DW_AT_description_: return DW_AT_description;
    case DW_AT_binary_scale_: return DW_AT_binary_scale;
    case DW_AT_decimal_scale_: return DW_AT_decimal_scale;
    case DW_AT_small_: return DW_AT_small;
    case DW_AT_decimal_sign_: return DW_AT_decimal_sign;
    case DW_AT_digit_count_: return DW_AT_digit_count;
    case DW_AT_picture_string_: return DW_AT_picture_string;
    case DW_AT_mutable_: return DW_AT_mutable;
    case DW_AT_threads_scaled_: return DW_AT_threads_scaled;
    case DW_AT_explicit_: return DW_AT_explicit;
    case DW_AT_object_pointer_: return DW_AT_object_pointer;
    case DW_AT_endianity_: return DW_AT_endianity;
    case DW_AT_elemental_: return DW_AT_elemental;
    case DW_AT_pure_: return DW_AT_pure;
    case DW_AT_recursive_: return DW_AT_recursive;
    case DW_AT_lo_user_: return DW_AT_lo_user;
    case DW_AT_MIPS_fde_: return DW_AT_MIPS_fde;
    case DW_AT_MIPS_loop_begin_: return DW_AT_MIPS_loop_begin;
    case DW_AT_MIPS_tail_loop_begin_: return DW_AT_MIPS_tail_loop_begin;
    case DW_AT_MIPS_epilog_begin_: return DW_AT_MIPS_epilog_begin;
    case DW_AT_MIPS_loop_unroll_factor_: return DW_AT_MIPS_loop_unroll_factor;
    case DW_AT_MIPS_software_pipeline_depth_: return DW_AT_MIPS_software_pipeline_depth;
    case DW_AT_MIPS_linkage_name_: return DW_AT_MIPS_linkage_name;
    case DW_AT_MIPS_stride_: return DW_AT_MIPS_stride;
    case DW_AT_MIPS_abstract_name_: return DW_AT_MIPS_abstract_name;
    case DW_AT_MIPS_clone_origin_: return DW_AT_MIPS_clone_origin;
    case DW_AT_MIPS_has_inlines_: return DW_AT_MIPS_has_inlines;
    case DW_AT_MIPS_stride_byte_: return DW_AT_MIPS_stride_byte;
    case DW_AT_MIPS_stride_elem_: return DW_AT_MIPS_stride_elem;
    case DW_AT_MIPS_ptr_dopetype_: return DW_AT_MIPS_ptr_dopetype;
    case DW_AT_MIPS_allocatable_dopetype_: return DW_AT_MIPS_allocatable_dopetype;
    case DW_AT_MIPS_assumed_shape_dopetype_: return DW_AT_MIPS_assumed_shape_dopetype;
    case DW_AT_MIPS_assumed_size_: return DW_AT_MIPS_assumed_size;
    case DW_AT_sf_names_: return DW_AT_sf_names;
    case DW_AT_src_info_: return DW_AT_src_info;
    case DW_AT_mac_info_: return DW_AT_mac_info;
    case DW_AT_src_coords_: return DW_AT_src_coords;
    case DW_AT_body_begin_: return DW_AT_body_begin;
    case DW_AT_body_end_: return DW_AT_body_end;
    case DW_AT_hi_user_: return DW_AT_hi_user;
    default: return null;
    }
  }

  /** Return an array of all the DwAtEncodings elements.  */
  public static DwAtEncodings[] values ()
  {
    return (DwAtEncodings[]) enumMap.values ().toArray (new DwAtEncodings[0]);
  }

  /**
   * Returns the full underscore delimited name of the
   * field corresponding to the value I.
   */
  static public String toString (long i)
  {
    DwAtEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toString ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I.
   */
  static public String toPrintString (long i)
  {
    DwAtEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toPrint ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I, or DEF is there
   * is no such field.
   */
  static public String toPrintString (long i, String def)
  {
    DwAtEncodings c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toPrint ();
  }

  /**
   * Returns just the name part of the num corresponding to I.
   */
  static public String toName (long i)
  {
    DwAtEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toName ();
  }

  /**
   * Returns just the name part of the num corresponding to I,
   * or DEF is there is no such field.
   */
  static public String toName (long i, String def)
  {
    DwAtEncodings c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toName ();
  }
}
